<div class='margincenter'>
<h2> Neues Thema erstellen </h2>

    <div style="text-align: left;"> 
      <mat-form-field style="margin-right: 70px;">
        <mat-label>Kategorie auswählen</mat-label>
        <mat-select [(ngModel)]="selected">
          <mat-option *ngFor="let cat of category" [value]="cat">
            {{cat}}
          </mat-option>
        </mat-select>
      </mat-form-field>

      <mat-form-field>
        <mat-label>Titel</mat-label>
        <input matInput [(ngModel)]="topic.title">
      </mat-form-field>
    </div>
      
        <ckeditor [editor]="Editor" [config]="{ placeholder: 'Stelle eine Frage' }" [(ngModel)]='rte'></ckeditor> 

        <div style="text-align: right; margin: 10px"> 

      <button mat-button (click)="saveTopic(topic)">erstellen</button>
      <div style="text-align: left;"> 

    </div>
      
